Subject: Re: bug#12199: c-guess doesn't guess indent-tabs-mode

From: Stefan Kangas <[email-masked]>
Date: Thu, 31 Oct 2019 00:28:20 +0100

found 12199 26.1
thanks

Johan Walles <[email-masked]> writes:

> Package: emacs
> Version: 24.1.1
>
> Hi Emacsers!
>
> c-guess seems not to guess the correct value for indent-tabs-mode.
>
> Try this:
> 1. Set indent-tabs-mode to nil.
> 2. Load a C file indented with tabs.
> 3. c-guess
> 4. Do describe-variable on indent-tabs-mode
>
> Current result:
> "Its value is nil"
>
> Expected result:
> "Its value is t" (since c-guess should have noticed that tabs are used
> for indentation)
>
> Note:
> In my case this makes c-guess much less useful than it could have
> been, since I work on both tab and space indented files.
>
>   Regards //Johan

I can reproduce this on Emacs 26.1.  I'm not sure if this is a bug or a
feature request.

Best regards,
Stefan Kangas